/**
 * This file defines 3 function to fold/unfold nodes in a HTML tree view.
 * It is based on an article by D.D. de Kerf
 * http://www.codeproject.com/KB/scripting/dhtml_treeview.aspx
 *
 * Erez Bibi
 */

/**
 * Returns the first DIV node next to 'node' or False if none found.
 */
function GetNextDiv (node)
{
	var next_node = node.nextSibling;
	if (!next_node) {	return false; }
	while (next_node.nodeName != 'DIV')
	{
		next_node = next_node.nextSibling;
		if (!next_node)	{	return false; }
	}
	return next_node;
}

/**
 * Return the first 'IMG' node in a group of nodes or False if none found.
 */
function GetChiledImage (nodes)
{
	if (nodes.length == 0) { return false; }
	for (i = 0; i < nodes.length; i++)
	{
		if (nodes.item(i).tagName == "IMG")
			{	return nodes.item(i); }
	}
	return false;
}

/**
 * Sets the visibility of a DIV layer next to 'node', and set the IMG
 * that under 'node' to +/-/. depend if the DIV layer is hidden or not.
 * Always returns False.
 */
function Toggle (node)
{
	// find div node next to out node
	var next_div = GetNextDiv (node);
	if (!next_div) {	return false; }
	// Get the new image file according to the hidden status of the div node
	var image = next_div.style.display ? 'minus.gif' : 'plus.gif'
	// Toggle the hidden status of the div node
	next_div.style.display = next_div.style.display ? '' : 'none'
	// Replace the image file in a img tag under our node (ignore leaf images)
	var node_image = GetChiledImage (node.childNodes);
	if (!node_image) {	return false; }
	if (node_image.src.indexOf ('leaf') < 0) {	node_image.src = image; }
	return false;
}

